<!--
        Licensed to the Apache Software Foundation (ASF) under one or more
        contributor license agreements. See the NOTICE file distributed with
        this work for additional information regarding copyright ownership.
        The ASF licenses this file to you under the Apache License, Version
        2.0 (the "License"); you may not use this file except in compliance
        with the License. You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0 Unless required by
        applicable law or agreed to in writing, software distributed under the
        License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
        CONDITIONS OF ANY KIND, either express or implied. See the License for
        the specific language governing permissions and limitations under the
        License.
-->
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page
    import="org.apache.geronimo.samples.datacdinfo.web.struts1.DataCDForm"%>
<%@ page
    import="org.apache.geronimo.samples.datacdinfo.web.struts1.OwnerForm"%>
<%@ page import="java.util.Collection"%>
<%@ page import="java.text.SimpleDateFormat"%>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean"%>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html"%>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ListCDs Page</title>
</head>
<logic:notPresent name="owner">
    <logic:redirect href="Logon.do"></logic:redirect>
</logic:notPresent>
<body>
<bean:message key="general.welcome" />
<bean:write name="owner" property="username" />!
<br />
<bean:define id="ownername" name="owner" property="username" />
<table border="0" width="80%" align="center">
<tr>
<td align="right">
<a href="AddCD.do?ownername=<%=ownername%>"><bean:message
    key="datacd.operation.add" /></a> &nbsp;<a href="Logout.do"><bean:message
    key="datacd.operation.logout"></bean:message></a> <br />
</td>
</tr>
</table>
<p align="right"><br />
</p>
<table border="1" width="80%" align="center">
    <tr>
        <th><bean:message key="datacd.cdlabel" /></th>
        <th><bean:message key="datacd.cddescription" /></th>
        <th><bean:message key="datacd.cdsize" /></th>
        <th><bean:message key="datacd.cdarchivedate" />&nbsp;(yyyy-MM-dd)</th>
        <th><bean:message key="datacd.operations" /></th>
    </tr>
<%
    OwnerForm thisowner = (OwnerForm) session.getAttribute("owner");
    Collection<DataCDForm> datacds = thisowner.getDataCDs();
    if (datacds != null && !datacds.isEmpty()) {    
%>

    <logic:iterate id="datacd" name="owner" collection="<%= datacds %>"
        indexId="index">
        <tr>
            <bean:define id="cdLabel" name="datacd" property="cdLabel" />
            <bean:define id="cdID" name="datacd" property="cdID" />
            <bean:define id="cdDescription" name="datacd"
                property="cdDescription" />
            <bean:define id="cdSize" name="datacd" property="cdSize" />
            <bean:define id="cdArchiveDate" name="datacd"
                property="cdArchiveDate" />
            <td><bean:write name="datacd" property="cdLabel" /></td>
            <td><bean:write name="datacd" property="cdDescription" /></td>
            <td><bean:write name="datacd" property="cdSize" /></td>
            <td>
            <%
                SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
                    String date = sdf.format(cdArchiveDate);
            %> <%=date%></td>
            <td><a
                href="UpdateCD.do?cdID=<%=cdID%>&amp;
                                    cdLabel=<%=cdLabel%>&amp;
                                    cdDescription=<%=cdDescription%>&amp;
                                    cdSize=<%=cdSize%>&amp;
                                    cdArchiveDate=<%=date%>">
            <bean:message key="datacd.operation.edit" /></a>&nbsp; <a
                href="RemoveCD.do?cdID=<%=cdID%>&amp;
                                    cdLabel=<%=cdLabel%>&amp;
                                    cdDescription=<%=cdDescription%>&amp;
                                    cdSize=<%=cdSize%>&amp;
                                    cdArchiveDate=<%=date%>">
            <bean:message key="datacd.operation.remove" /></a></td>
        </tr>
    </logic:iterate>
    <% } %>
</table>
</body>
</html>
