<!--
        Licensed to the Apache Software Foundation (ASF) under one or more
        contributor license agreements. See the NOTICE file distributed with
        this work for additional information regarding copyright ownership.
        The ASF licenses this file to you under the Apache License, Version
        2.0 (the "License"); you may not use this file except in compliance
        with the License. You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0 Unless required by
        applicable law or agreed to in writing, software distributed under the
        License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
        CONDITIONS OF ANY KIND, either express or implied. See the License for
        the specific language governing permissions and limitations under the
        License.
-->
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html:xhtml/>
<html>
<head>
<title>View/Update CD Details</title>
</head>
<logic:notPresent name="owner">
<logic:redirect href="Logon.do"></logic:redirect>
</logic:notPresent>
<body>

<html:errors/>

<html:form action="/updateCD" focus="cddesc"
           onsubmit="return validateDataCDForm(this);">
    <table border="0" width="80%" align="center">

        <tr>
            <th align="right">
                <bean:message key="datacd.cdlabel"/>:
            </th>
            <td align="left">
                <html:text property="cdLabel" size="16" maxlength="20" readonly="true" value='<%= request.getParameter("cdLabel")%>'/>
            </td>
        </tr>

        <tr>
            <th align="right">
                <bean:message key="datacd.cddescription"/>:
            </th>
            <td align="left">
                <html:textarea property="cdDescription" rows="10" cols="30" value='<%= request.getParameter("cdDescription")%>'/>
            </td>
        </tr>
        <tr>
            <th align="right">
                <bean:message key="datacd.cdsize"/>:
            </th>
            <td align="left">
                <html:text property="cdSize" size="10" maxlength="10" value='<%= request.getParameter("cdSize")%>'/>
            </td>
        </tr>
        <tr>
            <th align="right">
                <bean:message key="datacd.cdarchivedate"/>:
            </th>
            <td align="left">
                <html:text property="cdArchiveDate" size="16" maxlength="20" value='<%= request.getParameter("cdArchiveDate")%>'/>&nbsp;(yyyy-MM-dd)
            </td>
        </tr>

        <tr>
            <td align="right">
                <html:hidden property="cdID" value='<%= request.getParameter("cdID")%>'/>
                <html:submit property="DO_SUBMIT">
                    <bean:message key="button.update"/>
                </html:submit>
            </td>
            <td align="left">
                <html:reset property="DO_RESET">
                    <bean:message key="button.reset"/>
                </html:reset> &nbsp;<html:link action="ListCDs.do"><bean:message key="datacd.operation.back"/></html:link>
            </td>
        </tr>

    </table>

</html:form>

<html:javascript formName="DataCDForm"/>

</body>
</html>
