<!--
   Licensed to the Apache Software Foundation (ASF) under one or more
   contributor license agreements.  See the NOTICE file distributed with
   this work for additional information regarding copyright ownership.
   The ASF licenses this file to You under the Apache License, Version 2.0
   (the "License"); you may not use this file except in compliance with
   the License.  You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
-->
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "" title="http://www.w3.org/TR/html4/loose.dtd">"

<html>
    <head>
        <script type="text/javascript" src="./Support.js"></script>
        <script type='text/javascript' src='./restfulorder/RestfulOrderControl.js'></script>
        <script type='text/javascript' src='./restfulorder/Restfulorders.js'></script>
        <script type='text/javascript' src='./restfulorder/Restfulorder.js'></script>

        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Restful Service Demo</title>
        <script language="javascript">
            function deleteOrder()
            {             
                item.delete_();
                window.location.href="showAll.html";
            }
            function editOrder(){
                item.setCustomer(document.getElementById("customer").value);
                item.setSeller(document.getElementById("seller").value);
                item.setProductname(document.getElementById("productname").value);
                if(validate(document.getElementById("price").value)){
                    item.setPrice(document.getElementById("price").value);
                }
                else {
                    alert("Please input an integer for Price attribute");
                    document.getElementById("price").value="";
                    document.getElementById("price").focus();
                    return false;
                }
                if(validate(document.getElementById("quantity").value)){
                    item.setQuantity(document.getElementById("quantity").value);
                }
                else {
                    alert("Please input an integer for Quantity attribute");
                    document.getElementById("quantity").value="";
                    document.getElementById("quantity").focus();
                    return false;
                }
                item.flush();
                window.location.href="showAll.html";
            }
             function validate(inputnumber){
                if(isNaN(parseInt(inputnumber))){
                    return false;
                }
                else{
                    return true;
                }
            }
        </script>
    </head>
    <body>
        <h2>The resource you are accessing is from</h2><label id="orderUri"><%=request.getParameter("uri")%></label>
        <hr/>
        <div id="containerContent"><h2>Demonstrate edit and delete a restful resource.</h2></div>
        <script language="javascript">
            var item=new Restfulorder(document.getElementById("orderUri").innerHTML);
            var str='';
            str+='<table>';
            str+='<tr><td align="right">ID:</td><td>'+item.getId()+'</td></tr>';
            str+='<tr><td align="right">Customer:</td><td><input id="customer" type="txet" value="'+item.getCustomer()+'"></td></tr>';
            str+='<tr><td align="right">Seller:</td><td><input id="seller" type="txet" value="'+item.getSeller()+'"></td></tr>';
            str+=' <tr><td align="right">ProductName:</td><td><input id="productname" type="txet" value="'+item.getProductname()+'"></td></tr>';
            str+=' <tr><td align="right">Price:</td><td><input id="price" type="txet" value="'+item.getPrice()+'"></td></tr>';
            str+='<tr><td align="right">Quantity:</td><td><input id="quantity" type="txet" value="'+item.getQuantity()+'"></td></tr>';
            str+='</table>';
            var n = document.getElementById("containerContent");
            n.innerHTML = n.innerHTML + str;
        </script>
        <input type="button" onclick="editOrder()"  value="Submit Changes"/>
        <input type="button" onclick="deleteOrder()" value="Delete this"/>
        <input type="button" onclick="javascript:history.go(-1)" value="Go Back"/>


    </body>
</html>
